
/* @import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Londrina+Shadow&family=Merienda:wght@300..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Proza+Libre:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap'); */


@import url('https://fonts.googleapis.com/css2?family=Audiowide&family=Londrina+Shadow&family=Merienda:wght@300..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Proza+Libre:ital,wght@0,400;0,500;0,600;0,700;0,800;1,400;1,500;1,600;1,700;1,800&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Bungee&family=Orbitron:wght@400..900&display=swap');





*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: "Poppins",serif;
    font-family:'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
    text-decoration: none;
    list-style: none;
    /* cursor: pointer; */


}


body {
    /* background: linear-gradient(135deg, #121212, #1e1e1e, #252525); */
    background: linear-gradient(135deg, #121212, #1e1e1e, #252525);
    
    color: white;
}








.header{
    width: 100%;
    z-index: 100;
    padding: 20px 10%;
    background: transparent;
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    
}


.logosection{
    opacity: 0;
    animation: slideRight 1s ease forwards;
    display: flex;


}


.logosection img{
    width: 60px;
    border-radius: 50%;
}

.logosection .logo{
    font-size: 30px;
    font-weight: 600;
    color: #fff;
    cursor: default;
    /* box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.9); */
    border-radius: 40px;
    padding: 10px;
    font-family: 'Poppins', serif;
}




@keyframes slideRight {
    0%{
        transform: translateX(-60px);
        opacity: 0;
    }
    100%{
        transform: translateX(0px);
        opacity: 1;
    }
    
}



.navbar a{
    font-size: 23px;
    color: #fff;
    margin-left: 20px;
    transition: .3s;
    font-weight:500 ;

}


.navbar a:hover,
.navbar a.active{
    color: #0ef;
    text-decoration: underline;
}




.home-img img{
    max-width: 400px;
    border-radius: 35%;
    height: 45%;
    /* border: 4px solid black; */
    box-shadow:inset 0px 10px 10px rgba(228, 216, 216, 0.995);
    /* padding: 30px; */
    opacity: 0;
    animation: slideRight1 1.5s ease forwards;


} 


.home{
    position: relative;
    width: 100%;
    height: 100vh;
    padding: 70px 10% 0;
    display: flex;
    /* justify-content: center; */
    justify-content: space-between;
    align-items: center;
    /* gap: 100px; */
    opacity: 0;
    animation: slideRight 1s ease forwards;


}

@keyframes slideRight1 {
    0%{
        transform:translateY(50%);
        opacity: 0;
    }
    100%{
        transform: translateY(0);
        opacity: 1;
    }
    
}


.home-content{
    max-width: 600px;
    display: flex;flex-direction: column;
    gap:20px;
    /* border: 4px solid red; */
    border-radius: 14px;
    padding: 40px;
    /* width: 1000px; */
    /* box-shadow: 0px 0px 10px  rgba(0, 0, 0, 0.9); */

    

}

.home-content h1 {
    font-family: "Orbitron", sans-serif;
    font-size: 40px;
    font-weight: 900;

}

.home-content h2 {
    font-size: 30px;
    font-family: 'Poppins', serif;
}

.home-content h2 span{
    font-family: 'Audiowide', serif;
    color: #0ef;
    font-size: 32px;
    font-weight: 900;
    animation: words 9s infinite;
    margin-left: 20px;
}

span::before{
    content: "Frontend Developer";
    color: #0ef;
    animation: words 4s infinite;

}


.home-content h2 span::after{
    content: "";
    background-color: black;
    position: absolute;
    width: calc(100%+8px);
    height: 5%;
    border-left: 4px solid rgb(0, 0, 0);
    margin-left: 10px; 
    right: -8;
    animation: cursor 0.7s infinite;
}
@keyframes cursor {
    to{
        border-left: 8px solid #0ef;
        margin-left: 20px; 
    }
    
}
@keyframes words {
    0%,20%{
        content: "Web Developer";
    }
    23%,40%{
        content: "Software Developer";
    }
    43%,60%{
        content: "Web Designer";
    }
    63%,80%{
        content: "Youtuber";
    }
    83%,100%{
        content: "Java Developer";
    }
    
} 



.home-content p{
    font-size: 18px;
    font-family: 'Poppins', serif;
}

.social-media{
    display: flex;
    gap: 30px;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;

}



.social-media a i{
    font-size: 30px;
    color: #0ef;
    transition: .3s;
    cursor: pointer;
    border: 5px solid #0ef;
    padding: 8px;
    border-radius: 50%;
    opacity: 0;
    animation: slideIcons 2s ease forwards;


}


@keyframes slideIcons {

    0% {
        transform: translateX(-80%);
        opacity: 0;


    }
    100% {
        transform: translateX(0%);

        opacity: 1;

    }
    
}


.social-media a i:hover{
    transform: scale(1.2);
    color: black;
    box-shadow:inset 2px 2px 15px 15px #0ef;


}
.btn{
    font-size: 20px;
    padding: 10px;
    border-radius: 30px;
    font-weight: 900px;
    background-color: #0ef;
    font-family: 'Poppins', serif;
    margin:  30px;
    color: black;
    border: 2px solid red;
    width: 40%;
    text-align: center;

}

.btn:hover{
    background-color: #fff;
    color: red;
}

.home {
    background: rgba(255, 255, 255, 0.1);
    border-radius: 15px;
    backdrop-filter: blur(10px);
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 255, 255, 0.2);
    display: flex;
    justify-content: space-around;
    align-items: center;
    margin-top: 50px;
    
}